#define YES 0x01
#define NO  0x00
#define     BLACK   0x00
#define     BLUE    0x01
#define     GREEN   0x02
#define     CYAN    0x03
#define     RED     0x04
#define     MAGENTA 0x05
#define     BROWN   0x06
#define     LIGHTGRAY 0x07
#define     DARKGRAY  0x08
#define     LIGHTBLUE 0x09
#define     LIGHTGREEN 0x0A
#define     LIGHTCYAN 0x0B
#define     LIGHTRED 0x0C
#define     LIGHTMAGENTA 0x0D
#define     YELLOW 0x0E
#define     WHITE 0x0F
#define     BLINK 0x80

char FILLER=' ',
     ATTR=0x07,
     SHADOW=YES,
     EXPLODE=YES;

unsigned char far *vid_mem=(unsigned char far *)0xb8000000L,
              far *V;

char set_attr (char col, char bk) {
 char ATTR=0x00;
 ATTR|=col;
 ATTR|=(bk<<4);
 return (ATTR);
}

void write_char (char x, char y, char ch) {
 V=vid_mem;
 V += ((x*80 + y)<<1);
 *V++ = ch; /*  ᨬ */
 *V = ATTR; /*  ਡ */
}

void write_string (char x, char y, char *str) {
 char i;
 for (i=0;  *(str+i); i++) write_char (x, y+i, *(str+i));
}

char strlen (char *str) {
 char i;
 for (i=0x00; *(str+i);) i++;
 return (i);
}

void center_string  (char x, char y1, char y2, char *str) {
 char i,y;
 y=(y1+y2-strlen(str))>>1;
 for (i=0;  *(str+i); i++) write_char ( x, y+i, *(str+i));
 return;
}  

char read_char (char x, char y, char *attr) {
 char ch;
 V=vid_mem;
 V += ((x*80 + y)<<1);
 ch = *V++;  /* ᨬ */
 *attr = *V; /* ਡ */
 return (ch);
}

void change_attr (char x1, char y1, char x2, char y2, char attr) {
 char i,j;
 V=vid_mem; x2++; y2++;
 for (i=x1; i<x2; i++)
 for (j=y1; j<y2; j++) {
  V = vid_mem + ((i*80 + j)<<1) + 1;
  *V = attr; //  ਡ
 }
}

void save (char x1,char y1,char x2,char y2) {
 char i,j,ch,attr;
 x2++; y2++;
 for (i=x1; i<x2; i++) 
 for (j=y1; j<y2; j++) {
  ch=read_char (i,j,&attr);
  ATTR=attr;
  vid_mem+=4000;
  write_char (i,j,ch);
  vid_mem-=4000;
 } return;
}

void restore (char x1,char y1,char x2,char y2) {
 char i,j,ch,attr;
 x2++; y2++;
 for (i=x1; i<x2; i++) 
 for (j=y1; j<y2; j++) {
  vid_mem+=4000;
  ch=read_char (i,j,&attr);
  vid_mem-=4000;
  ATTR=attr;
  write_char (i,j,ch);
 } return;
}

char kbscan(void) {
 char sim;
 asm MOV  AH,0x00;     //뢠 ᨬ   
 asm INT  16H;
 asm MOV sim,AH; // AH=Scan-code, AL=ASCII code
 return (sim);
}

void kbclear(void) {
asm push es;
asm  cli;
asm  sub ax,ax;
asm  mov es,ax;
asm  mov al,es:[41ah];
asm  mov es:[41ch],al;
asm  sti;
asm pop es;
}

void clear (char x1,char y1,char x2,char y2) {
 char i,j;
 x2++; y2++;
 for (i=x1; i<x2; i++) 
 for (j=y1; j<y2; j++) write_char (i,j,FILLER);
 return;
}

void box (char x1, char y1, char x2, char y2, char sort) {
// ᮢ ࠬ:
//  012 Ŀ ͻ ķ ͸ ķ   
//  3 4 1 2 3 4 5 6 7
//  567  ͼ ͼ ; Ľ  
 unsigned char border[8][8]={
  {' ',' ',' ',' ',' ',' ',' ',' '},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''}
 };
 char i;
 if (!sort) for (i=0; i<8; i++) border[0][i]=FILLER; //  -ࠧ⥫
 for(i=x1+1; i<x2; i++) { // 
  write_char (i,y1,border[sort][3]);
  write_char (i,y2,border[sort][4]);
 }
 for (i=y1+1; i<y2; i++) { // ࠢ
  write_char (x1,i,border[sort][1]);
  write_char (x2,i,border[sort][6]);
 }
 write_char( x1, y1, border[sort][0]);
 write_char( x1, y2, border[sort][2]);
 write_char( x2, y1, border[sort][5]);
 write_char( x2, y2, border[sort][7]);
 return;
}

void window (char x1,char y1,char x2,char y2) {
 char j,cx1,cy1,cx2,cy2;
 if (EXPLODE) {
  cy1=(y2-y1)>>1;
  cy2=cy1+1;
  cx1=(x2-x1)>>1;
  cx2=cx1+1; 
  j=0x0f;
  do {
   box (cx1,cy1,cx2,cy2,0x02);
   FILLER=' ';
   box (cx1,cy1,cx2,cy2,0x00);
   if (cx1>x1) cx1--;
   else j&=0x0e;
   if (cx2<x2) cx2++;
   else j&=0x0d;
   if (cy1>y1) cy1--;
   else j&=0x0b;
   if (cy2<y2) cy2++;
   else j&=0x07;
  } while (j);
 }
 else { // normal
  FILLER=' ';
  clear (x1,y1,x2,y2); 
 }
 box (x1,y1,x2,y2,0x02);
 if (SHADOW) {
  j=y2+2;
  if (j<80) change_attr (x1+1, y2+1, x2, y2+2, 0x08); //Ver
  j=x2+1;
  if (j<25) change_attr (x2+1,y1+2,x2+1,y2+2, 0x08); //Hor
 } return;
}

#define UPR_SIM 0xff

void text (char x1, char y1, char x2, char y2, char *str) {
 char i,j,sim;
 int n=0;
 x2++; y2++;
 for (i=x1; i<x2; i++) {
  if (str[n]=='\0') break;
  for (j=y1; ; ) {
AGAIN:
   sim=str[n++];
   if (sim==UPR_SIM) {
    ATTR=*(str+n); n++; continue;
   }
   else {
    //if (sim=='\r') goto AGAIN;
    if (sim=='\n') break;
    if (sim=='\0') return;
    if (j<y2) write_char (i,j,sim);
    j++;
   }
  }
 }
}

#define _ESC 0x01
#define _SBAR 0x39
#define _ENTER 0x1C
#define _PAGE_UP 0x49
#define _UP 0x48
#define _DOWN 0x50
#define _PAGE_DO 0x51

char popup (char x1, char y1, char x2, char y2, char col, char bk,
 char kol, char **str) {
 char cursor=0x00,sim,rev,i;
 save (x1,y1,x2,y2);
 ATTR=set_attr (col,bk);
 rev=0x70;
 FILLER=' ';
 clear (x1,y1,x2,y2);
 box (x1,y1,x2,y2,0x02);
 for (i=0; i<kol; i++) write_string (x1+1+i, y1+1, str[i]);
 while (1) {
  change_attr (x1+1+cursor, y1+1, x1+1+cursor, y2-1, rev);
  sim=kbscan();
  change_attr (x1+1+cursor, y1+1, x1+1+cursor, y2-1, ATTR);
  switch (sim) {
   case _ENTER: goto OUT;
   case _UP: 
    if (cursor>0x00) cursor--;
    else cursor=kol-0x01;
   break;
   case _DOWN: 
    if (cursor<kol-0x01) cursor++;
    else cursor=0x00;
   break;
   case _PAGE_UP: cursor=0x00; break;
   case _PAGE_DO: cursor=kol-0x01; break;
   default: break;
  }
 }
OUT:
 restore (x1,y1,x2,y2);
 return (cursor);
}

void strrev(char *s) {
 char c; char *t;
 for (t=s+strlen(s)-1; s<t; s++,t--) {
  c=*s; *s=*t; *t=c;
 }
}

void utoa (unsigned n, char *str,char field) {
 char *t=str,byte;
 for (byte=0x00; byte<field; byte++) *(str+byte)=' ';
 do {
  *str++=n%10+'0';
 } while ((n/=10)!=0);
 byte=*str; *str='\0';
 strrev (t);
 *str=byte;
 return;
}

char textmode (void) {
 // ⠭ ० 3, 80*25, 16 梥⮢
 // 頥 0  砥 訡
 asm mov ax,0003h;
 asm int 10h;
 asm mov ah,00fh;
 asm int 10h;
 asm cmp al,003h;
 asm jnz ModeError;
 asm mov al,1;
 asm jmp Exit;
ModeError:
 asm mov al,0;
Exit:
 return (_AL);
}

void goto_xy(char xpos,char ypos) {
 asm  mov	ah,0x02 ;
 asm mov	dl,ypos ; //⮫
 asm mov	dh,xpos	; //ப
 asm mov	bh,0x00 ;
 asm int	10h;
}

//////////////// ᭮  ணࠬ
#define SCREENS 15

void main (void) {
 char *screen[SCREENS]={
"\n"
"ķ\n"
"                                           \n"
"                                         \n"
"                                           \n"
"\x1Aͻ                       O  o      \n"
"\x1A        ۳                                    O__ \n"
"\x1A            ۳        \n    Ŀ Ŀ  \n"
"\x1A            ۳        \n-              \n"
"\x1A            ۳        \n :   Ե        ص        \n"
"\x1A        ۳                   OO OOٺ\n"
"\x1A          ?ķ   DOS  ᬮ  \n"
"\x1A  Ŀ   ?ESC ⥪                    \n"
"\x1A    ᬠਢ        \x1A     ?ͼ                           \n"
"\x1A    ᫥騥 :     \x1A     ?ķ ३  ᫥饩  -\n"
"\x1A     ;   \x1A     ?     㭪       \n"
"\x1A     ⨢\x1A     ?ͼ                           \n"
"\x1A    ணࠬ;             \x1A     ?ķ ३  ।饩 -\n"
"\x1A     ।஦ \x1A     ?     㭪       \n"
"\x1A                    \x1A    ?ͼ                           \n"
"\x1Aͼ                                 \n"
"ᨡ,1996ͼ\n"
"\0",
"\n"
"   1.  ⠪ \" \"?\n"
"\n"
"      -  ணࠬ,  믮 ᠭ樮஢\n"
"⢨, ᯮᮡ ।   㭨⮦ 㣨 ணࠬ, -\n"
",   ன  䨧᪨ ன⢠.   ᮢ 뫮  \n"
"᫮ \"\" 樮 ⥬ \032DOS    ⥪\n"
"஢  \032IBM,    ணࠬ  ᢮  ᪮஫쭮\n"
"    ன⢠   .  \n"
"  易 室  ᠬ ᪨ - -\n"
"  ணࠬ,   ᯮᮡ \"ࠧ\",   室  \"-\n"
"ࠦ\" 㣨 ணࠬ,  믮 ࠧ⥫  \"ଠ樮\n"
"࣠\" ⢨   \"樮஢\",    ᢮\n"
"  楫 \"\" ணࠬ-⨢ᮢ.\n"
"   ᬮਬ   ࠭ 堭 ࠦ ᯮ塞\n"
"䠩  ७ \032COM.  䠩  ᫮ ।⠢  ᫥-\n"
"饬 :\n"
"   1.  室  ᥪ樨  ணࠬ;\n"
"   2.   ணࠬ;\n"
"   3.   ணࠬ;\n"
"   4.    \032DOS.\n"
"     ࢮ ࠦ   1  室   䠩-\n"
"  뢠 ᢮ ⥫ ।⢥ ᫥ ᥪ樨 4,   \n"
"\0",
"  室  ஬ .  ࠧ, ᯮ塞\n"
"䠩 ਮ⠥ ᫥騩 :\n"
"   1.  室  砫 ;\n"
"   2.   ணࠬ;\n"
"   3.   ணࠬ;\n"
"   4.    DOS;\n"
"   5.  ;\n"
"   6.  室  ᥪ樨  ணࠬ;\n"
"    ࠧ,   ᫥饬  ࠦ ணࠬ  ࠢ\n"
"᭠砫    ,    ᬮ 믮 㦭  ⢨,\n"
"ਬ,    ࠦ ணࠬ  ᫥騬    ࠦ\n"
" 㭨⮦ ଠ樨  ⪮ ᪥, ⥬ ࠢ ।\n"
"ᠬ ணࠬ  譥   룫拉  筮.    砩\n"
"  ᠬ ᫮, ⠪  ⥫ 짮⥫  -\n"
"㦨 㢥祭 ࠧ ᯮ塞 䠩.  ,  ਬ, -\n"
" 室 ࠧ ᢮   \032COMMAND.COM,  \n"
"㦨  ⥩訬 ⨢ ஫.\n"
"\n"
"      ࠦ 筮 讣 ᫠ 䠩 -\n"
" ᨬ⮬ ࠦ,    ᫥騬:\n"
"   -  ணࠬ  ࠡ  ࠡ ࠢ쭮;\n"
"   - ࠡ   ⭮    ਮ᪨ \"-\n"
"\";\n"
"\0",
"   -   ࠭ 뢮 ஭ ᮮ饭,  ந室 ந\n"
"饭  譨 ன⢠, ਬ, ᪮;\n"
"   -  䠩 뢠 㭨⮦  ᯮ祭;\n"
"   -  ࠧ,    ६ ᮧ 䠩;\n"
"   뢠  ,  ,    譥, ⨢\n"
" ।  ६  ⮣  ⢥ , -\n"
",   ଠ  ⪮ ᪥.\n"
"    ᮦ, ந⢮ ᮢ  ᨫ묨 ⥬,  ஡\n"
"   ⠭   㠫.\n"
"\n"
"   2. 䨪 ᮢ  ᯮᮡ   .\n"
"     ணࠬ  ⮬   ﭨ   ᢮  \n"
"  ७   ணࠬ  ⥬  ᪠. \n"
"䠩  ⥪⠬, 㭪,    ..    ᯮ祭,\n"
"  \"ࠦ\" ᮬ.  \"ࠦ\" 䠩 ⭮:\n"
"   - ᯮ塞 䠩  ७ \032COM  \032EXE,\n"
"   - ૥ 䠩,  㦠  ᯮ 㣨 ணࠬ (-\n"
"७ \032OVL),\n"
"   - ࠩ ன, 筮 騥 ७ \032SYS, \032BIN  \032DRV.\n"
"   , ࠦ騥 ᯮ塞 䠩, 뢠 䠩묨.  -\n"
"  ࠦ  䠩  ᮬ  ணࠬ  㣮  १\n"
"᪥   ୮   砥      -\n"
"࠭.\n"
"\0",
"    ⥬  ᪠,  ࠦ ᠬ, ⭮ 稪\n"
"樮  ⥬    㧮筠  ⪮ ᪠ (\032boot\n"
"record  \032master boot record). , ࠦ騥  , 뢠\n"
"㧮묨.      稭 ᢮ ࠡ  砫쭮 㧪\n"
"樮 ⥬  ⠭ १,   ⠥  -\n"
"⨢     ᥠ ࠡ.  堭 ࠭ - ࠦ\n"
"㧮 ᥩ ⠢塞   ᪥.\n"
"   ਤ    ࠧ⥩  䠩-㧮 -\n"
",  ꥤ騥   㯯  騥 筮 襩 -\n"
"饩 ᯮᮡ.\n"
"   祭 ணࠬ-⨢ᮢ,   , ⭮  ,\n"
"   饥   ꥤ ᪮쪮  ணࠬ.  ⪮\n"
"᫨ :\n"
"   ணࠬ-⥪ ᯮᮡ 㦨 䠩, ࠦ -\n"
"  ᠬ,    ᪠  ⥫ ᯮ塞 䠩 ⪮ ,\n"
"ࠪ   ᮢ;\n"
"     䠣 ⥫쭮 ᯮᮡ  \"\"  ࠦ  䠩,\n"
"㤠   ⪨ ᭮  ,   ,  ⠭\n"
"ࢮ砫  ࠦ 䠩;\n"
"   ணࠬ-ॢ   ᢮  ⠭  ଠ  -\n"
"塞 䠩  ⥬  ᪠,   ⥬ ਮ᪨ ࠢ-\n"
"   ﭨ  室.    ᮮ⢥⢨ ணࠬ\n"
"ᮮ頥  ⮬ 짮⥫;\n"
"\0",
"   ணࠬ-䨫 室 १⭮     ᫥-\n"
"  \"⥫\" ⢨,     ਭ -\n"
", ਬ,  ⪨    ⥬    ଠ஢\n"
"⪮ ᪠.  짮⥫  ᭮ ᮮ饭 ணࠬ-䨫 -\n"
" , ࠧ    ⢨;\n"
"   ணࠬ-樭  ᯮ塞 䠩  ᪨  ⠪  ࠧ,\n"
"   蠥 ࠡ,  ,  ண ந \"ਢ\",\n"
"⠥  㦥 ࠦ묨   ࠦ ୮.    -\n"
"५,     ਬ  ᮢ  \"\",  \n"
" 㤥   ।.\n"
"\n"
"   3. ⨢ 䨫 VSafe\n"
"\n"
"   ᫨     祭  ଠ樮 ,  ⢥\n"
"  ஭   ᮢ  ᪥. ⮬ 祭\n"
"   ਢ ஢  ᪥,    뫠 ᠭ\n"
"ଠ, । ᪮   - ணࠬ.   ⨢-\n"
"  㯭   ᥣ,      ﭭ.   \n"
"।    ⮩  樨    ᯮ짮  ⨢᭮\n"
"䨫 ᫥ ⠭    ணࠬ.   ⭠ \n"
"ணࠬ-䨫஢ - ணࠬ \032VSafe,  室  ⠢ ᫥ ᨩ\n"
"\032DOS. ᫥ ᪠ 䠩 \032vsafe.com 䨫 뢮 ᮮ饭  ᢮ -\n"
"㧪    ᫥ ⮣ ࠢ   ⢫  १  ,\n"
"\0",
"뢠 ⨥ 樨  \032Alt-V.   ।⠢  ,\n"
"饣 \0328 㭪⮢:\n"
"Ŀ\n"
"       VSafe Warning Options        \n"
" Ŀ \n"
"   Warning type             ON  \n"
" Ĵ \n"
" 1 HD Low level format       X       㭪  -   -\n"
" 2 Resident                         ⥫    㭪権\n"
" 3 General write protect            . ४祭  믮-\n"
" 4 Check executable files    X       蠬 1,...,8.       \n"
" 5 Boot sector viruses       X       奬 ।⠢  -\n"
" 6 Protect HD boot sector    X      ⥫, ਭ  ᫥\n"
" 7 Protect FD boot sector           ᪠  㬮砭.         \n"
" 8 Protect executable files          ᫥ 㭪樨 䨫-\n"
"      .                          \n"
" Press 1-8 toggle ON/OFF            \n"
" Press <ESC> to Exit                \n"
" Press ALT-U to unload from memory  \n"
"\n"
"   1) 墠 ⪨ ଠ஢ ⪮ ᪠;\n"
"   2) 墠 ⪨  ணࠬ  ⠢      १\n"
"(ﭭ) ;\n"
"\0",
"   3) 墠  ⪨   ;\n"
"   4) ஢ઠ   稥  ᮢ  ᪠  믮\n"
"䠩;\n"
"   5) ஢ઠ   稥  ᮢ  ⥬  -\n"
" ᪮;\n"
"   6) 墠 ⪨   ⥬  ⪮ ᪠;\n"
"   7) 墠 ⪨   ⥬  ᪥;\n"
"   8) 墠 ⪨  ᯮ塞 䠩;\n"
"    墠 ⪨ 믮 ஫㥬 䨫஬ ⢨,  \n"
"뢮    ᮮ⢥騬 ᮮ饭, ஥  -\n"
"拉 ⠪:\n"
"pĿ\n"
"p              VSafe  Warningp                 p।० VSafe:    \n"
"p Program is trying to stay resident in RAM   pணࠬ ⠥  -\n"
"p        Do you wish to continue?             p   १\n"
"p                                             p                      \n"
"p  0   4S0top   p   0 4C0ontinue p   0   4B0oot   p    p/த/    \n"
"p               p१㧨          \n"
"p\n"
"   짮⥫  ࠧ 믮 ⢨,   \032C (?Continue)\n"
"   ,   \032S (?Stop).  ⨥ \032B (?Boot) 뢠  \n"
"砥 १㧪 ⥬.   㦥  ⭮    \032VSafe\n"
"४頥  ࠡ  ࠦ  ணࠬ   뢮   ᮮ饭 \n"
"\0",
" .   㦥 ⪨  ᯮ塞  䠩\n"
"஬ ?Continue  ?Stop । ⥫ ਠ ⢨ - -\n"
"⨥ \032U (?Update)  ଠ  䠩  ࠧ    믮.\n"
" 뢠 㦭, ਬ, ᫨   ᮧ - ᢮ ண-\n"
"ࠬ.\n"
"    ⮣, ⮡ 㧨 \032VSafe  , ᫥    -\n"
" \032Alt-U.   \032VSafe   ᢮ ,  ᫨  ᫥  \n"
"㦠 㣨 १ ணࠬ.\n"
"    ⪠ \032VSafe ᫥  ⭥    ࠡ  ,\n"
"ᮡ  讬 ⢥ 祭 㭪権,  ᮧ  -\n"
"⥫쭮 ᫠ \"஫\" 䠩   \032chklist.ms\n"
"\n"
"   4. ⨢᭠ ணࠬ Aidstest\n"
"\n"
"   ணࠬ \032Aidstest     ᠬ   襩 ࠭\n"
"⨢ ।.  ᫥ ᨨ \"⫠\"   -\n"
"ᮢ.  設⢠   Aidstest ᯮᮡ . ணࠬ ࠡ-\n"
" 筮     ࠢ.  ᯮ塞 䠩 뢠\n"
"aidstest.exe  ᪠  ப \n"
"   \032AIDSTEST  []\n"
"     -  ᪠,  䠩, ᪠ 㯯 䠩,  \032* ( ࠧ\n"
"⪮ ᪠),    -  筮, ﬠ    㪢.\n"
"᫨ 訥  祩 ணࠬ:\n"
"\0",
"\032   /F - ࠢ ࠦ ணࠬ   ᯮ祭;\n"
"   \032/G - ஢  䠩 ( 㬮砭 ⮫쪮 \032COM, \032EXE  \032SYS);\n"
"   \032/S -  ࠡ  ᪠ ᯮ祭 ᮢ;\n"
"   \032/Q - 訢 ࠧ襭  㤠 ᯮ祭 䠩.\n"
"     ଠ  ,  ⨢ \032Aidstest  ࠬ-\n"
"஬  \032/?.    筮  뢠 ࠡ \032Aidstest  ᯮ짮\n"
"  \032Ctrl-Break.\n"
"   ਬ ᪠ ணࠬ \032AidsTest:\n"
"\032aidstest c:\\TOOLS\\*.com     । \032COM-ணࠬ ⠫ \032TOOLS\n"
"\032aidstest a: /f /g /s      \"⥫쭠\" ஢ઠ ᪠ \032a:\n"
"\n"
"   5. ⨢ -⥪ DrWeb\n"
"\n"
"   ᬮਬ ୮ ⨢᭮  ।⢮  -  -⥪  \032Web\n"
"(䠩 \032drweb.exe). ᫥ ᨨ ⮩ ணࠬ  㤮 \n"
"䥩   ᪨  ,  騩  㦨\n"
"  Web' ,   ࠢ뢠 ⭮⥫쭮 -\n"
" ᪮ ࠡ.\n"
"    ᫥ ᪠  \032Web ஢   稥   ᮢ,\n"
", ᫨  諮 ଠ쭮,    ࠭  ᮮ饭:\n"
"\"?   ᮢ  㦥\".  ⮣, ⮡  -\n"
" ᪠  ,  ᫥   ⥬  襩 \032F10,  -\n"
" 蠬  ५  \"?\",    㭪 \"?祭\" \n"
"\0",
"\n"
"\n"
"\n"
" \032Enter.      ⢨   ⠭  \n"
"\032Ctrl-F5.  ࠭   ᫥饣 :\n"
"0[]   祭 0ͻ\n"
"0                                       \n"
"0   p                               0     \n"
"0   p  \na:_\n                        p0     \n"
"0   p                               0     \n"
"0                                       \n"
"0        [X]  ⠫        \n"
"0                                       \n"
"0 p    Ok    0  p  ⬥  0  p    0 \n"
"0         \n"
"0ͼ\n"
"㦭 㪠       ᪠    ⠫  ஢ન,\n"
"襩 ⠡樨 ३   ?Ok   \032Enter. ﭨ 䫠\n"
"\"? ⠫\"   襩 ஡.\n"
"   ன Web'  ,   । ᪮ 祭 \n"
"\032F9.  ⮬  ࠭   ஥:\n"
"\0",
"\n"
"0[] ࠬ 0ͻ\n"
"                                                                        \n"
"   :0騥 ⠭                       :0                          \n"
"    [X] ஢           0    p [X] ஢ઠ 㯠 0     \n"
"   p [X]  㧮 ᥪ஢    0    p [X] ஢ઠ 娢     0     \n"
"   p [X] ᪨          0    p [ ]  ᯮ祭 0     \n"
"   p [X] ஫ १ ᮢ 0    p [X]   祭    0     \n"
"                                                                        \n"
"   :0஢ \"⨪\"                   :0㥬              \n"
"   p ( )                   0    p ()  640               0     \n"
"   p () ᨬ                 0    p ( ) 1088               0     \n"
"                                                                        \n"
"   :0஢ 䠩                   :0                    \n"
"   p ()                        0    p ()  ᮧ         0     \n"
"   p ( )                       0    p ( ) १뢠       0     \n"
"   p ( ) २뢠              0    p ( )       0     \n"
"                                                                        \n"
"                                                                        \n"
"         p    Ok    0    p ࠭0    p  ⬥  0    p    0       \n"
"                                \n"
"ͼ\n"
"\n"
"\0",
"     ᪮  ࠭ ࠦ  ⠭,    \n"
"室       ﭨ - \032  \032.   ﭨ\n"
" ⨥ ஡.   㣫 ᪮ ࠦ 㯯  ⠭,\n"
"    ⮫쪮 ,  ⠢   㪠⥫  \n"
"஡. ३  ﬨ ⠭  襩 \032Tab,    -\n"
" ᤥ  ⠭  㦭  ⠢ 㪠⥫  \n"
"\"?࠭\"   \032Enter.\n"
"     ணࠬ \032DrWeb    \032Alt-X,   Web   -\n"
"મ ᪠  .  ⨢ 砥 ᫥ ᭠砫  \032Esc \n"
"⢥न  ࢠ  ⨥ \032Enter.\n"
"\n"
"   6. 㣨 ⨢ ।⢠\n"
"\n"
"    쭮  ⨢ ணࠬ,    ᫥\n"
"⮫쪮    ᥡ ४訬  ।⢠.  砫,\n"
" ᭥訥    ࠭﫨   \"襩 樭\" \n"
"- 㣮 .\n"
"     ᪮쪮 ப ᯮ㥬 ⨢ ணࠬ,  -\n"
"  ࠧ 㭪樮 㯯:\n"
"   -       䨫஬  VSafe  ࠡ⠥  -⥪  \032MSAV  (䠩\n"
"\032msav.exe), ⠪ 室騩  ⠢ \032DOS.  ᯮᮡ  , -\n"
"㦨 \032VSafe  ⠪ ᯮ \"஫\" 䠩 \032chklist.ms;\n"
"   - ᠬ      ॢ஢  -  ணࠬ \032ADInf.  \032ADInf\n"
"\0",
"\n"
"筮 ᪠  䠩 \032autoexec.bat    祭  -  \n"
"  ﭨ ᪠,  ᮮ  ந襤  ᫥ ᥠ\n"
"ࠡ . ⤥쭮 ⠢ \"\"  ;\n"
"   -  ᥡ ४ ⠪ ⨢  \032AVP .ᯥ-\n"
".   ⠪  㤮 ⥬ ,  ᯮᮡ ࠭ \n"
"  ଠ   ᪥  ᯮ ୮ ࠢ筮 ⥬ \n"
"ࠧ .\n"
"\n"
"   7.  ।஦\n"
"\n"
"   筮    ᮢ 筮 ᮡ  ᪮쪮  \n"
"ࠢ:\n"
"\n"
"   ।   - ணࠬ  ᪥ ।⥫쭮 ஢\n"
" ᪥  .  㤮⢠ , ਬ, ⠢ 맮 -\n"
"   ⨢ᮢ   짮⥫ 窨 \032Norton Commander.\n"
"\n"
"   ।  ᪮  ணࠬ  ⪮ ᪠ ᯮ\n"
"ணࠬ \032VSafe  筮 ,  稢  㭪樨,  ஬  \0323  ,\n"
", \0322.\n"
"\n"
"\0",
"    \"ᯠ⥫\" ᪥,   ⠭ ⥬-\n"
"  ᪠  砥  ०.    ᤥ, ਬ,\n"
"  ணࠬ \032RESCUE.EXE   ணࠬ \032Norton Utilities. -\n"
" ⠪  饭   ⥬ ᪥  ⨢묨\n"
"ணࠬ.\n"
"\n"
"   ਮ᪨ ஢  ⪨   ⨢ᮬ,  ᪠\n"
"  饭   ᪥.\n"
"\n"
"\n"
"   8. ⢨  ࠦ ᮬ\n"
"\n"
"   ,  ࠦ  ᮬ  ७   -\n"
"室 ᮡ ᪮쪮 ࠢ:\n"
"\n"
"    ᫥ ᪠  ࠦ ᪠ - ணࠬ;\n"
"\n"
"   १㧪  ந  ⥬  饭    \n"
"᪥, ⥫쭮,  ᫥ 몫祭 , ⠪   -\n"
" ᯮᮡ 릨  १㧪  ;\n"
"\n"
"    ⮩  ᪥ ᫥ ᪠ ⨢ ணࠬ.\n"
"[ ⥪]\n"
"\0"
 };
 char *mm0[2]={"  ணࠬ","  DOS"};
 char scr,k,c,*numpage="__";

 if (!textmode()) return;
 goto_xy(0x19,0x00);

AGAIN:
 kbclear();
 for (scr=0;;) {
AGAIN_2:
  EXPLODE=YES; SHADOW=NO;
  ATTR=set_attr (YELLOW,BLUE);
  window (0,0,24,79);
  text (1,4,23,78,screen[scr]);
  if (scr) {
   ATTR=set_attr (WHITE,BLUE);
   utoa (scr,numpage,2);
   center_string (24,1,78,numpage);
  }
READKEY:
  c=kbscan();
  switch (c) {
   case _DOWN: if (scr<SCREENS-1) scr++; else goto READKEY; break;
   case _UP:   if (scr>0) scr--; else goto READKEY; break;
   case _ESC:
    k=popup (6, 28, 9, 52, YELLOW,GREEN, 2, mm0);
    if (k) goto OUT_MAIN;
   break;
   default: goto READKEY;
  }
  continue; // 頥  ப⪥ ࠭
 }
OUT_MAIN:
 ATTR=0x07; clear (0,0,24,79);
 goto_xy(0x00,0x00);
 return;
}
asm db 10,13,'Nick Soft',10,13,'$'