#define YES 0x01
#define NO  0x00
#define     BLACK   0x00
#define     BLUE    0x01
#define     GREEN   0x02
#define     CYAN    0x03
#define     RED     0x04
#define     MAGENTA 0x05
#define     BROWN   0x06
#define     LIGHTGRAY 0x07
#define     DARKGRAY  0x08
#define     LIGHTBLUE 0x09
#define     LIGHTGREEN 0x0A
#define     LIGHTCYAN 0x0B
#define     LIGHTRED 0x0C
#define     LIGHTMAGENTA 0x0D
#define     YELLOW 0x0E
#define     WHITE 0x0F
#define     BLINK 0x80

char FILLER=' ',
     ATTR=0x07,
     SHADOW=YES,
     EXPLODE=YES,
     TIMEOUT=NO;

unsigned char far *vid_mem=(unsigned char far *)0xb8000000,
              far *V;

char set_attr (char col, char bk) {
 char ATTR=0x00;
 ATTR|=col;
 ATTR|=(bk<<4);
 return (ATTR);
}

void write_char (char x, char y, char ch) {
 V=vid_mem;
 V += ((x*80 + y)<<1);
 *V++ = ch; /*  ᨬ */
 *V = ATTR; /*  ਡ */
}

void write_string (char x, char y, char *str) {
 char i;
 for (i=0;  *(str+i); i++) write_char (x, y+i, *(str+i));
}

char strlen (char *str) {
 char i;
 for (i=0x00; *(str+i);) i++;
 return (i);
}

void center_string  (char x, char y1, char y2, char *str) {
 char i,y;
 y=(y1+y2-strlen(str))>>1;
 for (i=0;  *(str+i); i++) write_char ( x, y+i, *(str+i));
 return;
}

char read_char (char x, char y, char *attr) {
 char ch;
 V=vid_mem;
 V += ((x*80 + y)<<1);
 ch = *V++;  /* ᨬ */
 *attr = *V; /* ਡ */
 return (ch);
}

void change_attr (char x1, char y1, char x2, char y2, char attr) {
 char i,j;
 V=vid_mem; x2++; y2++;
 for (i=x1; i<x2; i++)
 for (j=y1; j<y2; j++) {
  V = vid_mem + ((i*80 + j)<<1) + 1;
  *V = attr; //  ਡ
 }
}

void save (char x1,char y1,char x2,char y2) {
 char i,j,ch,attr;
 x2++; y2++;
 for (i=x1; i<x2; i++) 
 for (j=y1; j<y2; j++) {
  ch=read_char (i,j,&attr);
  ATTR=attr;
  vid_mem+=4000;
  write_char (i,j,ch);
  vid_mem-=4000;
 } return;
}

void restore (char x1,char y1,char x2,char y2) {
 char i,j,ch,attr;
 x2++; y2++;
 for (i=x1; i<x2; i++) 
 for (j=y1; j<y2; j++) {
  vid_mem+=4000;
  ch=read_char (i,j,&attr);
  vid_mem-=4000;
  ATTR=attr;
  write_char (i,j,ch);
 } return;
}

char kbscan(void) {
 char sim;
 asm MOV  AH,0x00;     //뢠 ᨬ   
 asm INT  16H;
 asm MOV sim,AH; // AH=Scan-code, AL=ASCII code
 return (sim);
}

void kbclear(void) {
asm push es;
asm  cli;
asm  sub ax,ax;
asm  mov es,ax;
asm  mov al,es:[41ah];
asm  mov es:[41ch],al;
asm  sti;
asm pop es;
}

char kbhit(void) {
 asm push es;
 asm  mov ax,0;
 asm  mov es,ax;
 asm  mov al,es:[41ah];
 asm  mov ah,es:[41ch];
 asm pop es;
 asm cmp ah,al;
 asm jne KEYPRESSED;
 return 0x00;
KEYPRESSED:
 return 0x01;
}

void clear (char x1,char y1,char x2,char y2) {
 char i,j;
 x2++; y2++;
 for (i=x1; i<x2; i++) 
 for (j=y1; j<y2; j++) write_char (i,j,FILLER);
 return;
}

void box (char x1, char y1, char x2, char y2, char sort) {
// ᮢ ࠬ:
//  012 Ŀ ͻ ķ ͸ ķ   
//  3 4 1 2 3 4 5 6 7
//  567  ͼ ͼ ; Ľ  
 unsigned char border[8][8]={
  {' ',' ',' ',' ',' ',' ',' ',' '},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''},
  {'','','','','','','',''}
 };
 char i;
 if (!sort) for (i=0; i<8; i++) border[0][i]=FILLER; //  -ࠧ⥫
 for(i=x1+1; i<x2; i++) { // 
  write_char (i,y1,border[sort][3]);
  write_char (i,y2,border[sort][4]);
 }
 for (i=y1+1; i<y2; i++) { // ࠢ
  write_char (x1,i,border[sort][1]);
  write_char (x2,i,border[sort][6]);
 }
 write_char( x1, y1, border[sort][0]);
 write_char( x1, y2, border[sort][2]);
 write_char( x2, y1, border[sort][5]);
 write_char( x2, y2, border[sort][7]);
 return;
}

void window (char x1,char y1,char x2,char y2) {
 char j,cx1,cy1,cx2,cy2;
 if (EXPLODE) {
  cy1=(y2-y1)>>1;
  cy2=cy1+1;
  cx1=(x2-x1)>>1;
  cx2=cx1+1; 
  j=0x0f;
  do {
   box (cx1,cy1,cx2,cy2,0x02);
   FILLER=' ';
   box (cx1,cy1,cx2,cy2,0x00);
   if (cx1>x1) cx1--;
   else j&=0x0e;
   if (cx2<x2) cx2++;
   else j&=0x0d;
   if (cy1>y1) cy1--;
   else j&=0x0b;
   if (cy2<y2) cy2++;
   else j&=0x07;
  } while (j);
 }
 else { // normal
  FILLER=' ';
  clear (x1,y1,x2,y2); 
 }
 box (x1,y1,x2,y2,0x02);
 if (SHADOW) {
  j=y2+2;
  if (j<80) change_attr (x1+1, y2+1, x2, y2+2, 0x08); //Ver
  j=x2+1;
  if (j<25) change_attr (x2+1,y1+2,x2+1,y2+2, 0x08); //Hor
 } return;
}

#define UPR_SIM 0xfe

void text (char x1, char y1, char x2, char y2, char *str) {
 char Cods[16]= {
  '0','B','G','C','R','M','Y','L', 
  'D','b','g','c','r','m','y','W'
 };
 char i,j,k,sim,is1,is2,cod1,cod2;
 int n=0;
 x2++; y2++;
 for (i=x1; i<x2; i++) {
  if (str[n]=='\0') break;
  for (j=y1; j<=y2; j++) {
AGAIN:
   sim=str[n++];
   if (sim==UPR_SIM) {
    cod1=str[n++];
    for (k=0,is1=17; k<16; k++) if (cod1==Cods[k]) { is1=k; break; }
    if (is1<17) {
     cod2=str[n++];
     for (k=0,is2=17; k<8; k++) if (cod2==Cods[k]) { is2=k; break; }
     if (is2==17) sim=cod2;
     else { ATTR=set_attr(is1,is2); goto AGAIN; }
    }
    else sim=cod1;
   }
   if (sim=='\r') goto AGAIN;
   if (sim=='\n') break;
   if (sim=='\0') return;
   write_char (i,j,sim);
  }
  j=0;
 }
}

#define _ESC 0x01
#define _SBAR 0x39
#define _ENTER 0x1C
#define _PAGE_UP 0x49
#define _UP 0x48
#define _DOWN 0x50
#define _PAGE_DO 0x51

char popup (char x1, char y1, char x2, char y2, char col, char bk,
 char kol, char **str) {
 char cursor=0x00,sim,rev,i;
 save (x1,y1,x2,y2);
 ATTR=set_attr (col,bk);
 rev=0x70;
 FILLER=' ';
 clear (x1,y1,x2,y2);
 box (x1,y1,x2,y2,0x02);
 for (i=0; i<kol; i++) write_string (x1+1+i, y1+1, str[i]);
 while (1) {
  change_attr (x1+1+cursor, y1+1, x1+1+cursor, y2-1, rev);
  while (!kbhit()) {
   if (TIMEOUT) { TIMEOUT=NO; cursor=0xff; goto OUT; }
  }
  sim=kbscan();
  change_attr (x1+1+cursor, y1+1, x1+1+cursor, y2-1, ATTR);
  switch (sim) {
   case _ENTER: goto OUT;
   case _UP: 
    if (cursor>0x00) cursor--;
    else cursor=kol-0x01;
   break;
   case _DOWN: 
    if (cursor<kol-0x01) cursor++;
    else cursor=0x00;
   break;
   case _PAGE_UP: cursor=0x00; break;
   case _PAGE_DO: cursor=kol-0x01; break;
   default: break;
  }
 }
OUT: 
 restore (x1,y1,x2,y2);
 return (cursor);
}

#include <dos.h>
void interrupt (* old_int1C)(...);
void (* Get_Draw)(void);
void interrupt ISR_int1C(...);
void Init_int1C(void); 
int Shut_int1c (void);
char Sec=NO,Min=NO,Hour=NO,Count=NO,TIMEDRAW=NO,CONTROLTIME=NO;

void Init_int1C(void) {
 old_int1C = getvect(0x1C);
 disable();
 setvect(0x1C, ISR_int1C);
 enable();
 return;
}

int Shut_int1C (void) {
 disable();
 if(getvect(0x1C) != ISR_int1C) { enable(); return 0; }
 setvect(0x1C, old_int1C);
 enable();
 return 1;
}

void interrupt ISR_int1C(...) {
 old_int1C();
 disable();
 outportb(0x20, 0x20);
 enable();
 Count++;
 if (Count==18) {
  Count=0; Sec++;
  if (TIMEDRAW) Get_Draw();
  if (Sec==60) {
   Sec=0; Min++;
   if (Min==60) { Hour++; Min=0; }
  }
 }
}

static char curtime;
unsigned char far *V_Addr;

void controltime (void) {
 curtime++;
 *V_Addr++ = ''; /*  ᨬ */
 *V_Addr++ = 0x07; /*  ਡ */
 if (curtime>=CONTROLTIME) {
  TIMEDRAW=NO;
  TIMEOUT=YES;
 }
}

void timewindow (char x, char y1, char y2, char *hdr) {
 char j;
 SHADOW=EXPLODE=NO;
 ATTR=set_attr(LIGHTGREEN,CYAN);
 window (x, y1, x+3, y2);
 center_string (x+1,y1,y2,hdr);
 ATTR=0x07;
 for (j=y1+1; j<y2; j++) write_char (x+2,j,'');
 curtime=NO; CONTROLTIME=y2-y1-1;
 V_Addr=vid_mem + (((x+2)*80 +y1+1)<<1);
 Get_Draw=controltime;
 TIMEDRAW=YES;
}

void strrev(char *s) {
 char c; char *t;
 for (t=s+strlen(s)-1; s<t; s++,t--) {
  c=*s; *s=*t; *t=c;
 }
}   

void utoa (unsigned n, char *str,char field) {
 char *t=str,byte;
 for (byte=0x00; byte<field; byte++) *(str+byte)=' ';
 do {
  *str++=n%10+'0';
 } while ((n/=10)!=0);
 byte=*str; *str='\0';
 strrev (t);
 *str=byte;
 return;
}

int chrinstr (char c,char *str) {
 unsigned k;
 for (k=0; *(str+k); k++) if (*(str+k)==c) return (k);
 return (-1);
}

#define MAINDELAY 250
void beeps (char *notes) {
 unsigned octav[3][7]={ // , ࢠ,  ⠢
  {131,147,165,175,196,220,247},
  {262,294,330,349,392,440,494},
  {523,587,659,698,784,880,988}
 };
 unsigned diez[3][5]={ //    ⠢ (,,,᮫,)
  {139,156,185,208,233},
  {277,311,370,415,466},
  {554,622,740,830,932}
 };
 char *octav_str="asdfghj",       //祭   
      *diez_str="wetyu";          // ப ࠬ஢
 char oct=1,c,k;
 unsigned i,freq; int j;
 for (i=0; ; i++) {
  c=*(notes+i);
  if (c==0x00) { i=0; continue; } //!!!     
  if (c=='<') { if (oct) { oct--; continue; } }
  else if (c=='>') { if (oct<2) { oct++; continue; } }
  else if ((j=chrinstr (c,octav_str))!=-1) freq=octav[oct][j];
  else if ((j=chrinstr (c,diez_str))!=-1) freq=diez[oct][j];
  else freq=0;
  if (freq) {
   sound (freq);
   delay (MAINDELAY);
   nosound();
  }
  else delay (MAINDELAY);
  if (kbhit()) break;
 }
 kbclear(); delay (30);
 return;
}

char textmode (void) {
 // ⠭ ० 3, 80*25, 16 梥⮢
 // 頥 0  砥 訡
 asm mov ax,0003h;
 asm int 10h;
 asm mov ah,00fh;
 asm int 10h;
 asm cmp al,003h;
 asm jnz ModeError;
 asm mov al,1;
 asm jmp Exit;
ModeError:
 asm mov al,0;
Exit:
 return (_AL);
}

void goto_xy(char xpos,char ypos) {
 asm  mov	ah,0x02 ;
 asm mov	dl,ypos ; //⮫
 asm mov	dh,xpos	; //ப
 asm mov	bh,0x00 ;
 asm int	10h;
}

//////////////// ᭮  ணࠬ
#define SCREENS 8
#define QUESTIONS 8
#define MAXANSWERS 3

void estimation (unsigned bad, unsigned all) {
 unsigned ball;
 char *Est=
 "⢮ ᮢ: _     \n" // 4 str, 28 col
 " ⮪:     _     \n"
 " ⮪:    _     \n"
 "WB:              _     \0";
 char *melodies[4]={ // Santa Lucia 
  "<g-g-->aa<jj---f-f--hhgg---d-h--ggtf---f-d-s-h-g---"
  "g-g-->aa<jj---f-f--hhgg---d-h--ggtf---f-d-s-h-g--->"
  "d-s-a-<jh>s---s-a-<j-tg>a---daa<ggdf>ss---s-<h--j>s-a-"
  "d-s-a-<jh>s---s-a-<j-tg>a---daa<ggdf>ss---s-d--ss-a---\0",
                     // Grande Valse brillante, F.Chopin
  "<u->sef-<u->efg-<u->fgy-u--uu>a-<uy-y-uyg-g-ygf-f-gfe-"
  "<u->sef-<u->efg-<u->fgy-u--usuw-u>a<uy-<j->yuyg-<u->gygf-e-uuuu"
  "<u->sef-<u->efg-<u->fgy-u--uu>a-<uy-y-uyg-g-ygf-f-gfe-"
  "<u->sef-<u->efg-<u->fgy-u--usuw-u>a<uy-<j->yuyg-<u->gygf-e-eeee"
  "eeeeeefea<yedffffffey>aeydfffffffgfey>a-f-ew<g-u-yea-"
  "eeeeeefea<yedffffffey>aeydfffffffgfey>a-f-ew<g-y--a-\0",
                     // 檮 ஭, ..
  "<jhyh>a--sa<j>ad--fdedjhyhjhyh>a--<h>a<jhghjhghjhgtd---"
  "<jhyh>a--sa<j>ad--fdedjhyhjhyh>a--<h>a<jhghjhghjhgtd---"
  "dfgghgfds<g>dfgghgfds-asddfdsa<jd>asddfdsa<j-"
  "<jhyh>a--sa<j>ad--fdedjhyhjhyh>a--<hj>a<jhyhdfsa-<j-h-"
  ">dfgghgfds<g>dfgghgfds-asddfdsa<jd>asddfdsa<j-"
  "<jhyh>a--sa<j>ad--fdedjhyhjhyh>a--<hj>a<jhyhdfsa-<j-h-"
  ">hj>w-<hj>w<jhytyhjtdhj>w-<hj>w<jhytjydh--"
  "hj>w-<hj>w<jhytyhjtdhj>w-<hj>w<jhytjydh--\0",
                     // Fur Elise, L.V.Beethoven
  "deded<j>sa<h-adhj-dyj>a-<d>deded<j>sa<h-"
 "<adhj-d>a<jh>deded<j>sa<h-adhj-dyj>a-<d>"
 "-deded<j>sa<h-<adhj>a<jh-j>asd<g>fds<f>d"
 "sa<d>sa<j-d>d--d-->d--<edededed<j>sa<h-a"
 "dhj-dyj>a-<d>deded<j>sa<h-adhj>a<jh>\0"
 };
 if (bad<2) ball=5;
 else if (bad<all/4+2) ball=4;
 else if (bad<all/2) ball=3;
 else ball=2;
 utoa (QUESTIONS,&Est[21],5);
 utoa (all,&Est[21+28],5);
 utoa (bad,&Est[21+28*2],5);
 utoa (ball,&Est[21+28*3+3],5);
 kbclear();
 clear (0,0,24,79);
 ATTR=set_attr (LIGHTGRAY,BLACK);
 window (1,24,6,55);
 text (2,26,6,54,Est);
 beeps (melodies[ball-0x02]);
 return;
}

//screen[SCREENS],       // ࠭  ⥪⮬
//see[SCREENS];    // 뫨  ᬮ७ ࠭
//questions[QUESTIONS];  //  ᮢ
//maxlen,  //    ਧ⠫
//points[QUESTIONS],  // ᫮ ਠ⮢  ᠬ
//correct[QUESTIONS], //  ࠢ ਠ⮢
//goscreens[QUESTIONS]; // ࠭, 㤠 ᫥   砥 ࠢ. ⢥
//replies[QUESTIONS][MAXANSWERS]; // ਠ ⢥⮢

void main (void) {
 char *screen[SCREENS]={
"yB\n"
"ķ\n"
"  gB       yB                                      \n"
"  gB                 yB                    cBķyB   \n"
"  gB            yB                    cB ᨡ yB   \n"
"                                                      cB   1 9 9 5   yB   \n"
"  gB         yB    cBͼyB   \n"
"  gB                        yB                      \n"
"  gB                yB                      \n"
"ķ \n"
"                                ķ    DOS  ᬮ      ۺ\n"
"                                WBESCyB   ३  ᠬ        ۺ\n"
"    WB⨥ 2:yB                  ͼ                                ۺ\n"
"                                ķ  ३  ᫥饩 ࠭  ۺ\n"
"    gB 짮⥫yB            WByB    㭪                ۺ\n"
"                                ͼ                                ۺ\n"
"    gBࠡ⪠yB                   ķ  ३  ।饩 ࠭ ۺ\n"
"    gB७yB                   WByB    㭪                ۺ\n"
"                                ͼ                                ۺ\n"
"ͼۺ\n"
" ߺ\n"
"ͼ\n"
"\0",
"yB\n"
"      cB1.  짮⥫.yB\n"
"\n"
"      WB 짮⥫yB  Norton Commander' 㦨  믮  -\n"
"   㥬   ண 맮  ᯮ㥬 ணࠬ.  -\n"
"    ⠢  । WBᠬ 짮⥫yB    맢\n"
"    ᭮ ࠭ NC ⨥  gBķyB\n"
"                                            gB F2 yB\n"
"                                            gBͼyB\n"
"      ⮡ Norton Commander  믮  㭪 , ᫥ :\n"
"      - WByB 㭪,\n"
"      - WByB ண 맮,\n"
"      - WBபyB, ।騥 믮塞  ⮣ 㭪 ,  \n"
"     ப.\n"
"\n"
"        ଠ   䠩 WBNC.MNUyB   ⠪   -\n"
"       ᪮쪮.  ᫨  ⨨ F2 Norton Commander 室 䠩\n"
"   NC.MNU  WB⥪饩yB ४ਨ,   믮   ⠪    뢠\n"
"   WByB. ᫨ 쭮  ,  䠩 NC.MNU  ४ਨ, \n"
"   ன  WB饭yB Norton Commander.    뢠 WByB.\n"
"   ᫨ 쭮  , 뢮 WB⮥yB .\0",
"yB       WBNC.MNUyB  ।   ᠭ   㭪\n"
"   :\n"
"\n"
"       ࢮ ப 뢠 WB㪢 祭 yB, 祭-\n"
"     맮 㭪, WB稥yB  WBப  㭪yB.\n"
"\n"
"       ன ப 뢠 믮塞   㭪 WByB,\n"
"   WB   பyB ⥪.\n"
"\n"
"      ᫥   ।         \n"
"   WB஡yB.\n"
"\n"
"       ਢ ਬ .     䠩 NC.MNU,  ࠢ -\n"
"     㤥  룫拉  ⠪   맮  襩 gBF2yB.   F2,\n"
"    㤥 뤥 㦭 㭪 蠬  ५   gBENTERyB,\n"
"    ࠧ  祭   㪢  ( 襬 ਬ-\n"
"    gBPyB  ࢮ 㭪, gBDyB  ண)\n"
"   P: ᪠                WC User Menu (Local) ͻyB   \n"
"    c:\\TP\\turbo.exe          WC P    ᪠               yB   㭪\n"
"   D:   ६           WC D      ६          yB         \n"
"      date                   WC      yB    -\n"
"      time                   WCͼyB     㭪\n"
"\0",
"yB\n"
"      WB஢yB  짮⥫    ।  ⮬ -\n"
"    ଫ 䠩,    \"WCMenu file edityB\"   WBCommandsyB.\n"
"    ⮬,  ᫨  쭮 , NC ,    -\n"
"    ।஢ (WBMainyB - 쭮, WBLocalyB - 쭮).\n"
"\n"
"         Norton Commander'  짮⥫  ।-\n"
"    ।⢥ ᫥ 맮.    ࠭, 㯭 ᫥-\n"
"   騥 :\n"
"   gBķyB\n"
"   gB WBF2gB yB࠭ , ᤥ  ;\n"
"   gBͼyB\n"
"   gBķyB\n"
"   gB WBF4gB yB஢ 㭪 ,   ⠭  롮;\n"
"   gBͼyB\n"
"   gBķyB\n"
"   gB WBF6gB yB⠢  㭪  । ⥬,   ⠭ ;\n"
"   gBͼyB\n"
"   gBķyB\n"
"   gB WBF8gB yB⮦ 㭪 ,  ஬ ⮨ .  ⮬,  -\n"
"   gBͼyB, NC  ⢥ত  㤠.\0",
"yB       NC   WB஢yB,    ꥤ -\n"
"    ணࠬ  㯯  ᮮࠦ  魮, ਬ, \"⨫\",\n"
"   \"\",   ..  ᫨ 㭪    ,  ࠢ \n"
"     ⮨ 箪 WByB  室    -   -\n"
"        ⥬  ,    㭪 \n"
"   ᯮ      ⨥ WBESCyB.\n"
"       ᮧ  㭪 ⨥ gBF6yB   , NC 뢥 -\n"
"     ᫥饣 :\n"
"      WC Insert Menu Item ͻyB\n"
"      WC () Command        yB gB, ᫨ ⠢塞 yB\n"
"      WC ( ) Menu           yB gB, ᫨ ⠢塞 yB\n"
"      WCͼyB\n"
"       ᮧ    㪠뢠  .\n"
"      ᫨    NC   ।஢  אַ   \n"
"   맮,     ନ   䠩 WBNC.MNUyB   ᮮ⢥-\n"
"   騩 ਬ:\n"
"   gBA: ஢  a:  yB                0L  ,  筮  -yB\n"
"   gB{yB                                            0L   㯯   ࠢ쭮yB\n"
"   gBA: AidstestyB                                  0Lଫ    䨣-yB\n"
"   gB  c:\\VIR\\AIDSTEST\\aidstest.exe a: /q /fyB      0L  ᪮      yB\n"
"   gBW: WebyB                                       0L孥 ᪮  .yB\n"
"   gB  c:\\VIR\\WEB\\drweb.exe a: /AR /QUyB            0L   ᯮyB\n"
"   gB}yB                                            0L ⤥ ப.       yB\0",
"\n"
"yB       WBF4yB  WBF6yB    㢨  ࠭  ᫥饣 :\n"
"\n"
"      0L Edit Main Menu ͻyB\n"
"      0L Hot key:    gL ⮬  㪠뢠  맮 㭪0L    yB\n"
"      0L 0CW 0L                                                           yB\n"
"      0LĶyB\n"
"      0L Label:      gL  ᮤন  㭪0L             yB\n"
"      0L 0C \"Wolf\"                                                0L  yB\n"
"      0LĶyB\n"
"      0L Commands:   gL ⮬    0L                yB\n"
"      0L 0Cd:                                                         0L  yB\n"
"      0L 0Ccd \\wolf                                                   0L  yB\n"
"      0L 0Cwolf3d.exe                                                 0L  yB\n"
"      0L 0C                                                           0L  yB\n"
"      0L 0C                                                           0L  yB\n"
"      0L 0C                                                           0L  yB\n"
"      0L 0C                                                           0L  yB\n"
"      0LĶyB\n"
"      0L                      yL[ Ok ]0L   [ Cancel ]                     yB\n"
"      0LͼyB\n"
"        室  ﬨ -  WBTAByB.   ਭ ᤥ -\n"
"    ᫥ ३   WB[ Ok ]yB   WBENTERyB.\0",
"yB        cB2.  ࠡ⪨ ७.yB\n"
"\n"
"   ⨥  WBEnteryB   㪠⥫   䠩  -\n"
"७ WBCOMyB, WBEXEyB  WBBATyB 맮  ᯮ.  ,  ᤥ Norton\n"
"Commander, ᫨  㪠⥫ 㤥 䠩  㣨 ७,  -\n"
"  ।  ᠬ   WB䠩 ࠡ⪨ ७yB,  饣 \n"
"WBNC.EXTyB.   室  ४ਨ, WB㤠 饭 NCyB, ,  ⫨-\n"
"稥  䠩 ,   ⮫쪮 WByB.\n"
"    ப 䠩 WBNC.EXTyB ⮨  ப ७ 䠩   -\n"
"騬 稥   DOS, 뢠  ⨨ WBEnteryB  䠩\n"
"  ७.  ᯮ ᨬ \"WB!yB\"  ।   DOS\n"
" ⮣ 䠩.  ਢ ਬ   祭:\n"
"\n"
"                                      0LķyB\n"
"     lex: d:\\lexicon\\lexicon !.!      0L!.!     䠩  ७   yB\n"
"     pas: d:\\TP\\turbo !.!             0L!:      ᪠ ( ᨬ ':')yB\n"
"     bak: del !.!                     0L!\\                           yB\n"
"     prt: copy !.! prn                0L!!      '!'                yB\n"
"                                      0L!       䠩  ७  yB\n"
"                                      0LͼyB\n"
"         WBEnteryB  䠩  ७ WBlexyB 뢠 ।\n"
"   \"WBᨪyB\",   ७ WBpasyB - । WB࡮ ᪠yB,   ७ WBbakyB\n"
"   믮 㤠 䠩,   ७ WBprtyB ந室  䠩.\0",
"       ।஢ 䠩 NC.EXT  짮    ।஬\n"
"    㭪⮬ \"gBExtension file edityB\"  WBCommandsyB.\n"
"\n"
"      NC  ।஢ 䠩 ७    \n"
" ,   䠩    ᫥饣 :\n"
"\n"
"   0L Edit Association ͻyB\n"
"   0L File extension:    gL  ७0L               yB\n"
"   0L 0Cpas0L                                                        yB\n"
"   0LĶyB\n"
"   0L Command for this extension  gL  ப 맮0L   yB\n"
"   0L 0Ch:\\TURBO7\\turbo.exe !.!                                   0L yB\n"
"   0LĶyB\n"
"   0L ( ) Filename with extension    (!.!)      gL  0L  yB\n"
"   0L ( ) Filename without extension (!)        gL⬥ 0L    yB\n"
"   0L ( ) Drive letter               (!:)       gL  ਠ⮢0LyB\n"
"   0L ( ) Pathname                   (!\\)                        yB\n"
"   0L () User defined                                           yB\n"
"   0LĶyB\n"
"   0L                     yL[ Ok ]0L   [ Cancel ]                    yB\n"
"   0LͼyB\n"
"\n"
"   GB[ ⥪]\n"
};
 char *questions[QUESTIONS]={
 "  䠩 ᮤন  NC?\n",
 "   ᪮쪮 䠩 ?\n",
 "    㭪 \n ᪮쪮 ?",
 "  ।஢   \n ।?",
 " ଫ  ?",
 "   㡨 \n ?",
 "   ᪮쪮 䠩 NC.EXT?",
 "  ७ ࠡ\n ᪮쪨 ?"
 };
 char maxlen=44;
 char points[QUESTIONS]=
  {3,3,3,3,3,3,3,3};
 char correct[QUESTIONS]= //  ࠢ ਠ⮢
  {2,1,1,2,3,2,3,3};
 char goscreens[QUESTIONS]= // ࠭, 㤠 ᫥   砥 ࠢ. ⢥
  {1,1,2,3,4,4,6,7};
 char *replies[QUESTIONS][MAXANSWERS]={ // ਠ ⢥⮢
 {"NC.BAT","NC.MNU","NC.EXT"},
 {",   ⠫",", ⮫쪮  ᯥ樠쭮 㪠 ⠫",",   ⮫쪮 1 "},
 {"","쪮  DOS",""},
 {", ந ࠧ",",  ᮡ  ",""},
 {"뢠  ⤥ 䠩"," 㭪 砥  䨣 ᪮","  砥  䨣 ᪮"},
 {" ᫮ ஢","2 ஢","3 ஢"},
 {",   ⠫",", ⮫쪮  ᯥ樠쭮 㪠 ⠫",",   ⮫쪮 1 ⠪ 䠩"},
 {"",", ᫨   DOS",""}
 };
 char see[SCREENS];    // 뫨  ᬮ७ ࠭
 char *mm1[2]={"  ࠧ","  DOS"},
      *mm0[2]={"  ணࠬ","  DOS"};
 char *Bad= "WR    ᮦ,  ⢥ yB७WR!\n" // 5 str, 34 col
            "  yBWR  \n"
            " 祭.   yBESCWR   \n"
            "祭,    ᬮ yBWR \n"
            " .";
//!!! char *CopyRight="N@CRIk\"hfnimNLScb!fh";
                  
 char scr,k,out,que,inque=NO,c,*numpage="__";
 unsigned all,bad;

 if (!textmode()) {
  beeps ("asdfghj\0"); return;
 }
 goto_xy(0x19,0x00);
 Init_int1C();
AGAIN:
 kbclear();
 for (k=0; k<SCREENS; k++) see[k]=NO;
 for (scr=0;;) {
AGAIN_2:
  EXPLODE=YES; SHADOW=NO;
  ATTR=set_attr (YELLOW,BLUE);
  window (0,0,24,79);
  text (1,1,23,78,screen[scr]);
  if (scr) {
   ATTR=set_attr (WHITE,BLUE);
   utoa (scr,numpage,2);
   center_string (24,1,78,numpage);
  }
READKEY:
  c=kbscan();
  see[scr]=YES;
  for (k=0,out=YES; k<SCREENS; k++) if (see[k]==NO) { 
   out=NO; break; 
  }
  switch (c) {
   case _DOWN: if (scr<SCREENS-1) scr++; else goto READKEY; break;
   case _UP:   if (scr>0) scr--; else goto READKEY; break;
   case _ESC:
    if (out) {
     if (inque) { inque=NO; goto IN_QUE; } 
     else goto FIRST;
    }
    else {
     k=popup (6, 28, 9, 52, YELLOW,GREEN, 2, mm0);
     if (k) goto OUT_MAIN;
    }
   break;
   default: goto READKEY;
  }
  continue; // 頥  ப⪥ ࠭
FIRST:
  que=0; bad=0; all=0; 
  clear (0,0,24,79); ATTR=set_attr(LIGHTGRAY,BLACK); 
  EXPLODE=YES; SHADOW=NO; window (0,0,24,79);
  text (8,22,14,57,
         "c0 ⠫  ⥪.  \n" // 8str, 35 col
         "।  ⢥   .\n"
         "롨ࠩ  ਠ ⢥ 蠬\n"
         " ५ W0c0/W0c0  \n"
         "W0ENTERc0. ६   ⢥ - W015c0.\n"
         "g0     室\n"
         "            ᠬ...\0");
  kbscan(); clear (0,0,24,79);
  for (; que<QUESTIONS; que++) {
IN_QUE:
   save (20,30,23,51);
   timewindow (20, 30, 51, "६  ⢥!");
   save (2,18,5,62); 
   ATTR=set_attr (YELLOW,BLACK); SHADOW=NO; window (2,18,5,62);
   text (3,20,4,61,questions[que]);
   k=popup (8, ((80-maxlen)>>1), 9+points[que],((80+maxlen)>>1), 
     YELLOW, GREEN, points[que],replies[que]);
   TIMEDRAW=NO; delay (20);
   restore (2,18,5,62); //  
   restore (20,30,23,51); // 饭  ६
   all++;
   if (k==0xff || (k!=correct[que]-1)) {
    kbclear();
    ATTR=set_attr (WHITE,RED);
    window (9,22,15,58);
    text (10,23,14,57,Bad);
    kbscan();
    scr=goscreens[que];
    inque=YES;
    bad++;
    goto AGAIN_2;
   }
  }
  estimation (bad,all);
  inque=NO;
  k=popup (6, 30, 9, 50, YELLOW,GREEN, 2, mm1);
  if (k) goto OUT_MAIN; 
  else goto AGAIN;
 }
OUT_MAIN: 
 Shut_int1C();
 ATTR=0x07; clear (0,0,24,79);
 goto_xy(0x00,0x00);
//!!! for (k=0; k<49; k++) CopyRight[k]=CopyRight[k]^0xc3;
//!!! text (0,0,0,50,CopyRight);
 return;
}
asm db 10,13,'Nick Soft',10,13,'$'